Pular para o conteúdo

Api requests

Requests made with the organization's API keys

The api request object

Attributes

idinteger

Unique identifier

api_key_iduuid
api_keys.id

Identifier of the API key used for the request

created_atread-onlytimestamp with time zone

Creation timestamp

created_ondate

Creation date

endpointtext

Endpoint of the request

methodtext

HTTP method of the request

searchtext

Search params of the request

statussmallint

HTTP status code of the response

The api request object
JSON
{
  "id": 0,
  "api_key_id": "00000000-0000-0000-0000-000000000000",
  "created_at": "2026-10-30T23:21:07.688Z",
  "created_on": "2026-10-30",
  "endpoint": "",
  "method": "",
  "search": "",
  "status": 0
}

List api requests

Filters

idFilter<integer>

Unique identifier

api_key_idFilter<uuid>
api_keys.id

Identifier of the API key used for the request

created_atFilter<timestamp with time zone>

Creation timestamp

created_onFilter<date>

Creation date

endpointFilter<text>

Endpoint of the request

methodFilter<text>

HTTP method of the request

searchFilter<text>

Search params of the request

statusFilter<smallint>

HTTP status code of the response

Responses

200

A list of api requests with the selected columns

206

Partial Content

400

The request is malformed, for example an unknown column or an invalid filter.

401

The API key is missing or invalid.

Error responses have a JSON body with a code, message, details and hint. See the introduction for more on errors.
GET /api_requests
curl -X GET "https://api.bookingmood.com/v1/api_requests?select=*&limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY"
Example response
JSON
[
  {
    "id": 0,
    "api_key_id": "00000000-0000-0000-0000-000000000000",
    "created_at": "2026-10-30T23:21:07.688Z",
    "created_on": "2026-10-30",
    "endpoint": "",
    "method": "",
    "search": "",
    "status": 0
  }
]

Assuma o controlo das suas reservas. Construa o seu próprio negócio.

Junte-se a mais de 1200 empresas independentes de alugueres para férias que utilizam o Bookingmood para aumentar as reservas diretas e construir relações mais sólidas com os hóspedes.

Iniciar o teste gratuito de 14 dias